#!/bin/bash

#BTASIGN=/usr/local/sbin/bta-get-timestamp.sh
BTASIGN=/usr/local/bin/bta-get-timestamp.sh

LOGFILE="$1"

if [ "z$LOGFILE" == "z" ]; then
	cat <<EOF
Usage: bta-archive-log.sh LOGFILE
	Will ask a timestamp signature for the logfile, verify it,
	compress the file for archiving, and request a timestamp also
	for the compressed file, verifying it too.
EOF
	exit 1
fi

# Sign the uncompressed log file
${BTASIGN} ${LOGFILE}

# Compress the logfile
bzip2 -9 ${LOGFILE}

# Sign the compressed log file
${BTASIGN} ${LOGFILE}.bz2
