#!/bin/bash

#OPENSSL=/opt/bin/openssl
OPENSSL=/usr/bin/openssl
#TSGET=/usr/local/bin/tsget
#TSGET=/opt/etc/pki/tls/misc/tsget
TSGET=/etc/pki/tls/misc/tsget
CAFILE=/etc/pki/tls/certs/CApublic.crt
SERVER=http://tsa.di.unipmn.it/tsa

LOGFILE="$1"

if [ "z$LOGFILE" == "z" ]; then
	cat <<EOF
Usage: bta-get-timestamp.sh FILE
	Will ask a timestamp signature for the file, and then verify it.
EOF
	exit 1
fi

# Prepare the timestamp request
${OPENSSL} ts -query -data ${LOGFILE} -out ${LOGFILE}.tsq -cert

# Send the request, get the timestamp
${TSGET} -h ${SERVER} ${LOGFILE}.tsq

# Check the timestamp
echo -n "${LOGFILE}: "
${OPENSSL} ts -verify -data ${LOGFILE} -in ${LOGFILE}.tsr -CAfile ${CAFILE}

if [ $? != 0 ]; then
	echo "The signature in the timestamp does not match!"
	exit 77
fi
